File: configure.in

package info (click to toggle)
gnome-terminal 2.14.2-1
  • links: PTS
  • area: main
  • in suites: etch, etch-m68k
  • size: 13,172 kB
  • ctags: 1,651
  • sloc: ansic: 19,006; xml: 15,489; sh: 8,975; makefile: 228; perl: 68
file content (127 lines) | stat: -rw-r--r-- 2,897 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
AC_INIT(src/terminal.c)

AM_CONFIG_HEADER(config.h)

AM_INIT_AUTOMAKE(gnome-terminal, 2.14.2)

GETTEXT_PACKAGE=gnome-terminal
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE")

AC_C_BIGENDIAN

AM_MAINTAINER_MODE

AC_PROG_CC
AC_ISC_POSIX
AC_HEADER_STDC
AM_PROG_LIBTOOL
AC_PROG_INTLTOOL

changequote(,)dnl
if test "x$GCC" = "xyes"; then
  case " $CFLAGS " in
  *[\ \	]-Wall[\ \	]*) ;;
  *) CFLAGS="$CFLAGS -Wall" ;;
  esac

  if test "x$enable_ansi" = "xyes"; then
    case " $CFLAGS " in
    *[\ \	]-ansi[\ \	]*) ;;
    *) CFLAGS="$CFLAGS -ansi" ;;
    esac

    case " $CFLAGS " in
    *[\ \	]-pedantic[\ \	]*) ;;
    *) CFLAGS="$CFLAGS -pedantic" ;;
    esac
  fi
fi
changequote([,])dnl

ALL_LINGUAS="am ar az be bg bn br bs ca cs cy da de dz el en_CA en_GB es et eu fa fi fr ga gl gu he hi hr hu hy id it ja ko ku lt lv mk ml mn ms nb ne nl nn no pa pl pt pt_BR ro ru rw sk sl sq sr sr@Latn sv ta th tr uk vi wa xh zh_CN zh_TW"
AM_GLIB_GNU_GETTEXT

AC_PATH_XTRA

GTK_REQUIRED=2.5.4
GCONF_REQUIRED=1.1.9
STARTUP_NOTIFICATION_REQUIRED=0.8
VTE_REQUIRED=0.11.10
GNOMEVFS_REQUIRED=2.4

## here we get the flags we'll actually use
PKG_CHECK_MODULES(TERM, dnl
 gtk+-2.0 >= $GTK_REQUIRED dnl
 gconf-2.0 >= $GCONF_REQUIRED dnl
 libglade-2.0 dnl
 libgnomeui-2.0 dnl
 libstartup-notification-1.0 >= $STARTUP_NOTIFICATION_REQUIRED dnl
 vte >= $VTE_REQUIRED dnl
 gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED)

TERM_LIBS="$X_LIBS $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $TERM_LIBS"
TERM_CFLAGS="$X_CFLAGS $TERM_CFLAGS"
CPPFLAGS="$TERM_CFLAGS $CFLAGS"

AC_PATH_PROG(GCONFTOOL, gconftool-2, no)

if test x"$GCONFTOOL" = xno; then
  AC_MSG_ERROR([gconftool-2 executable not found in your path - should be installed with GConf])
fi

AM_GCONF_SOURCE_2

# Honor aclocal flags
ACLOCAL="$ACLOCAL $ACLOCAL_FLAGS"

if $PKG_CONFIG --atleast-version 2.0.0 xft && $PKG_CONFIG --atleast-version 1.1.1 pangoxft ; then
   using_xft2=yes
else
   using_xft2=no
fi

AC_OUTPUT([
Makefile
gnome-terminal.desktop.in
src/Makefile
src/skey/Makefile
help/Makefile
help/C/Makefile
help/bg/Makefile
help/ro/Makefile
help/de/Makefile
help/es/Makefile
help/fr/Makefile
help/it/Makefile
help/sv/Makefile
help/ja/Makefile
help/ko/Makefile
help/uk/Makefile
help/zh_CN/Makefile
help/zh_TW/Makefile
po/Makefile.in
])
dnl ==========================================================================

if test x$using_xft2 = xno; then
        echo "*** WARNING WARNING WARNING WARNING WARNING"
        echo "*** Building with VTE widget but not Xft2"
        echo "*** This won't be as optimal as fontconfig/Xft2"
fi

#echo "
#*** WARNING WARNING WARNING WARNING WARNING
#*** This is the unstable branch of gnome-terminal
#*** The stable branch is version 2.4.x
#"

echo "
gnome-terminal-$VERSION:

	prefix:                 ${prefix}
	source code location:	${srcdir}
	compiler:		${CC}

        using fontconfig/Xft2:  ${using_xft2}
"